export interface TestModule {
    (...args: any[]): Promise<Test>;
}
export interface Test {
    dispose?: () => Promise<any>;
    beforeEach?: () => Promise<any>;
    afterEach?: () => Promise<any>;
    run: () => Promise<any>;
}
export declare class BatchOptions {
    test: string;
    timeout?: number;
    iterations?: number;
    concurrent?: number;
    args?: any[];
}
export declare class BatchResults {
    executed: number;
    succeeded: number;
    failed: number;
    totDuration: number;
    minDuration: number;
    maxDuration: number;
    avgDuration: number;
    results: any[];
    errors: any[];
}
export declare class BatchProgress {
    executed: number;
    succeeded: number;
    failed: number;
    totDuration: number;
    curDuration: number;
    result?: any;
    error?: any;
}
export declare class Batch {
    protected opts: BatchOptions;
    readonly module: TestModule;
    constructor(opts: BatchOptions);
    run(progress?: (info: BatchProgress) => void): Promise<BatchResults>;
}
